# Created by pyp2rpm-3.3.2
%global pypi_name pycryptodome

Name:           python-%{pypi_name}
Version:        3.9.7
Release:        1%{?dist}
Summary:        Cryptographic library for Python

License:        BSD, Public Domain, Apache
URL:            https://www.pycryptodome.org
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

BuildRequires:  gcc

%description
PyCryptodome PyCryptodome is a self-contained Python package of low-level
cryptographic primitives.It supports Python 2.6 and 2.7, Python 3.4 and newer,
and PyPy.You can install it with:: pip install pycryptodomeAll modules are
installed under the Crypto package.Check the pycryptodomex_ project for the
equivalent library that works under the Cryptodome package.PyCryptodome is a
fork of...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
PyCryptodome PyCryptodome is a self-contained Python package of low-level
cryptographic primitives.It supports Python 2.6 and 2.7, Python 3.4 and newer,
and PyPy.You can install it with:: pip install pycryptodomeAll modules are
installed under the Crypto package.Check the pycryptodomex_ project for the
equivalent library that works under the Cryptodome package.PyCryptodome is a
fork of...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyCryptodome PyCryptodome is a self-contained Python package of low-level
cryptographic primitives.It supports Python 2.6 and 2.7, Python 3.4 and newer,
and PyPy.You can install it with:: pip install pycryptodomeAll modules are
installed under the Crypto package.Check the pycryptodomex_ project for the
equivalent library that works under the Cryptodome package.PyCryptodome is a
fork of...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%license Doc/LEGAL/copy/LICENSE.libtom Doc/LEGAL/copy/LICENSE.orig Doc/LEGAL/copy/LICENSE.python-2.2 Doc/ocb/license1.pdf Doc/ocb/license2.pdf Doc/ocb/license3.pdf Doc/src/license.rst LICENSE.rst
%doc Doc/ocb/README.txt README.rst lib/Crypto/SelfTest/Cipher/test_vectors/AES/README.txt lib/Crypto/SelfTest/Cipher/test_vectors/TDES/README.txt lib/Crypto/SelfTest/Hash/test_vectors/keccak/readme.txt lib/Crypto/SelfTest/Signature/test_vectors/ECDSA/README.txt
%{python2_sitearch}/Crypto
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license Doc/LEGAL/copy/LICENSE.libtom Doc/LEGAL/copy/LICENSE.orig Doc/LEGAL/copy/LICENSE.python-2.2 Doc/ocb/license1.pdf Doc/ocb/license2.pdf Doc/ocb/license3.pdf Doc/src/license.rst LICENSE.rst
%doc Doc/ocb/README.txt README.rst lib/Crypto/SelfTest/Cipher/test_vectors/AES/README.txt lib/Crypto/SelfTest/Cipher/test_vectors/TDES/README.txt lib/Crypto/SelfTest/Hash/test_vectors/keccak/readme.txt lib/Crypto/SelfTest/Signature/test_vectors/ECDSA/README.txt
%{python3_sitearch}/Crypto
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Feb 21 2020 Brandon Perkins <bperkins@redhat.com> - 3.9.7-1
- Initial package.
